# ./EmailLib/Dockerfile
FROM mcr.microsoft.com/dotnet/sdk:8.0 AS eamillib
WORKDIR /src
COPY ../EmailLib/*.csproj ./EmailLib/
RUN dotnet restore "EmailLib/EmailLib.csproj"

COPY ../EmailLib/. ./EmailLib/
RUN dotnet publish "EmailLib/EmailLib.csproj" -c Release -o /publish